package com.zm.order.tool.server.service;

import com.zm.order.tool.server.request.OrderMergeRequest;
import com.zm.order.tool.server.request.OrderOperateRequest;
import com.zm.util.dto.Result;

/**
 * @author: Z.X.F
 * @date: 2021/9/15
 * @description:
 */
public interface TempOrderService {

    /**
      * 同步ES
      * @date 2021/9/15 14:32
      * @returnResult
     **/
    Result syncEs();
    Result pushMsg();
    Result pushMsgBaking();
    void doHandle();
    Result update();

    Result delete();

    void delJuiceOrder();
    void juiceOrder();
    Result syncTemp1();
    Result tempSyncEs();

    void selectOrderOperate(OrderOperateRequest request);
    void insertOrderIndex(String orderNo);
    void selectDelOrderToTb();
    void delOrderToTb();
    void delOrderRefund();
    void realDelOrder();
    void realDelOrderByTb();
    void orderMerge(OrderMergeRequest request);
    void selectTidbToTemp();
    void syncTempOrderToEs();

    Result deleteOrderOperations();

    Result updateUpdatedAt();

    Result deleteOrderPushLog();

    void transferOrderT97();

    void transferRefundOrderT97();
    void delBaoZhu();
    void orderT97SyncEs();
}
